API ReferenceFee SchedulesV3
Test Match
Tests a service line against a rate to see if it matches.
Authorization
BearerAuth AuthorizationBearer <token>
Send your Taiga API key as a Bearer token. Create and manage keys in the Taiga developer portal.
In: header
Path Parameters
service_line_id*ServiceLineId
Format
uuidrate_id*RateId
Format
uuidResponse Body
application/json
application/json
application/json
curl -X GET "https://example.com/api/fee-schedules/v3/service-line/497f6eca-6276-4993-bfeb-53cbbbba6f08/match/497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "dimensions": { "payer": { "value": "a860a344-d7b2-406e-828e-8d442f23f344", "match": true, "explanation": "string" }, "geography": { "zip_code": "string", "state": "AA", "match": true, "explanation": "string" }, "organization_billing_provider": { "value": "a860a344-d7b2-406e-828e-8d442f23f344", "match": true, "explanation": "string" }, "date_of_service": { "value": "2019-08-24", "match": true, "explanation": "string" }, "cpt_code": { "value": "string", "match": true, "explanation": "string" }, "modifiers": { "value": [ "AV" ], "match": true, "explanation": "string" }, "license_type": { "value": "MD", "match": true, "explanation": "string" }, "facility_type_code": { "value": "01", "match": true, "explanation": "string" }, "network_types": { "value": [ "12" ], "match": true, "explanation": "string" }, "payer_plan_groups": { "value": [ "a860a344-d7b2-406e-828e-8d442f23f344" ], "match": true, "explanation": "string" } }, "threshold": { "threshold": { "upper_threshold_cents": 0, "lower_threshold_cents": 0, "disable_paid_incorrectly": true }, "rate_cents": 0, "match": true, "explanation": "string" }}Get match GET
Gets the rate that matches a service line. No result means no rate exists matching the service line's dimensions.
List unique dimension values GET
Gets unique values for a dimension based on other selection criteria. The response is a list of dimensions with your criteria and the unique values populated. This API is useful for driving pivots on dimension values.